Bug 1956930 - OSP 16.1 ceph minor update failed [NEEDINFO]
Summary: OSP 16.1 ceph minor update failed
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ceph
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Francesco Pantano
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On: 1955393
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 17:04 UTC by Jason Paroly
Modified: 2021-05-12 16:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-07 11:49:41 UTC
Target Upstream Version:
fpantano: needinfo? (pbabbar)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1955393 1 urgent CLOSED [update] ceph-crash@ service is unable to start when ceph-osd are updated 2021-05-12 12:57:35 UTC

Description Jason Paroly 2021-05-04 17:04:13 UTC
Description of problem:

The hardprov regression job failed at the minor update of ceph stage

log excerpt:
STDOUT:

2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun   File "/usr/lib/python3.6/site-packages/tripleoclient/v1/overcloud_external_update.py", line 149, in take_action
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun     priv_key=key)
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun   File "/usr/lib/python3.6/site-packages/tripleoclient/utils.py", line 1409, in run_update_ansible_action
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun     verbosity=verbosity, extra_vars=extra_vars)
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun   File "/usr/lib/python3.6/site-packages/tripleoclient/workflows/package_update.py", line 127, in update_ansible
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun     raise RuntimeError('Update failed with: {}'.format(payload['message']))
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun RuntimeError: Update failed with: Ansible failed, check log at /var/log/containers/mistral/package_update.log.
2021-05-03 23:12:40 | 2021-05-03 23:12:40.607 289176 ERROR tripleoclient.v1.overcloud_external_update.ExternalUpdateRun 
2021-05-03 23:12:40 | 2021-05-03 23:12:40.613 289176 ERROR openstack [-] Update failed with: Ansible failed, check log at /var/log/containers/mistral/package_update.log.: RuntimeError: Update failed with: Ansible failed, check log at /var/log/containers/mistral/package_update.log.
2021-05-03 23:12:40 | 2021-05-03 23:12:40.614 289176 INFO osc_lib.shell [-] END return value: 1

TASK [tripleo-upgrade : fail Ceph update] **************************************
task path: /home/rhos-ci/jenkins/workspace/DFG-hardware_provisioning-rqci-16.1_director-virthost-3cont_2comp_3ceph_2ironrole_2ironic-ipv4-geneve-composable-minor_update-RHELOSP-60960/infrared/plugins/tripleo-upgrade/infrared_plugin/roles/tripleo-upgrade/tasks/update/ceph_update_run.yml:17
Monday 03 May 2021  23:12:42 +0000 (0:00:01.354)       2:52:39.261 ************ 
fatal: [undercloud-0]: FAILED! => {
    "changed": false
}

MSG:

Ceph minor update failed


Version-Release number of selected component (if applicable):
16.1


How reproducible:
every time

Steps to Reproduce:
1. deploy OSP 16.1
2. do a minor update with or without composable roles
3.

Actual results:
update failed

Expected results:
update passed

Additional info:


Note You need to log in before you can comment on or make changes to this bug.